[PC-BSD Commits] r6306 - pcbsd/trunk/pc-sysinstall/backend-query

svn at pcbsd.org svn at pcbsd.org
Fri Feb 26 11:30:57 PST 2010


Author: kris
Date: 2010-02-26 11:30:57 -0800 (Fri, 26 Feb 2010)
New Revision: 6306

Modified:
   pcbsd/trunk/pc-sysinstall/backend-query/disk-part.sh
Log:

Updated disk-part to not show GPT partitions, since we want to re-create those when using GPT



Modified: pcbsd/trunk/pc-sysinstall/backend-query/disk-part.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend-query/disk-part.sh	2010-02-26 13:35:38 UTC (rev 6305)
+++ pcbsd/trunk/pc-sysinstall/backend-query/disk-part.sh	2010-02-26 19:30:57 UTC (rev 6306)
@@ -18,6 +18,13 @@
 
 fdisk ${1} >${TMPDIR}/disk-${1} 2>/dev/null
 
+# Don't display partitions on EFI GPT disks, need to re-format entire disk on them
+cat ${TMPDIR}/disk-${1} | grep "GPT" >/dev/null 2>/dev/null
+if [ "$?" = "0" ] ; then
+  rm ${TMPDIR}/disk-${1}
+  exit
+fi
+
 # Set some search flags
 PART="0"
 EXTENDED="0"



More information about the Commits mailing list